#include "LPD8806.h"
#include "SPI.h"
#include <Wire.h>

#define LED_OUT 13
#define ADDRESS 42


#define stripSize 64
int butPush = 0;
int numModes = 12;
int currentMode = 1;

// on Arduino 168/328 thats data = 11, and clock = pin 13
//LPD8806 strip = LPD8806(stripSize);

// Choose which 2 pins you will use for output.
// Can be any valid output pins.
int dataPin = 8;   
int clockPin = 5; 
// Set the first variable to the NUMBER of pixels. 32 = 32 pixels in a row
// The LED strips are 32 LEDs per meter but you can extend/cut the strip
LPD8806 strip = LPD8806(10, dataPin, clockPin);


// used for fading leds
int LED1, LED5;
int counter;
//-------------------

boolean relaymain = 7;  //relais on pin 7 
boolean relaypower = 2;  //switch on pin 8
boolean buttonlock = 12;  //switch on pin 13 (lock all buttons accept remote I2C control)
boolean buttonemppwr = 13;  //switch on pin 12 (lock emp/pwr mode while running)

int cmd;

volatile int k = 0;  // For I2C use...
volatile int s = 0;  // For key lock use...

int repeat = 10;     // How many times should we loop before stopping? (0 for no stop)
int j = 0;          // Loop counter for repeat



void setup() {
    
pinMode(3, OUTPUT); // antimatter core
pinMode(9, OUTPUT); 
pinMode(6, OUTPUT); 
pinMode(relaymain, INPUT);  //switch on pin 7 
pinMode(relaypower, INPUT);  //switch on pin 2
pinMode(4, OUTPUT); // stop light
pinMode(10, OUTPUT); // rdy light
pinMode(11, OUTPUT); // rec light
pinMode(buttonlock, INPUT); // hold light
pinMode(buttonemppwr, INPUT);  //switch emppwr on pin A8

pinMode(A0, OUTPUT); // pause counter relay
pinMode(A1, OUTPUT); // stop counter relay
pinMode(A2, OUTPUT); // ready counter relay
pinMode(A3, OUTPUT); // lock all buttons relay (except remote I2C)
//A4 I2c Data
//A5 I2C Clock



// Start up the LED strip
  strip.begin();

  // Update the strip, to start they are all 'off'
  strip.show();
//  Serial.begin(9600);
//  pinMode(button,INPUT);
    pinMode(LED_OUT, OUTPUT);
    int colorLevel;
int numLeds;
    
 
  Serial.begin(9600);
  Wire.begin(ADDRESS);
  Wire.onReceive(receiveEvent);



// boot sequence


digitalWrite(9, HIGH); 
digitalWrite(A3, HIGH); 
digitalWrite(3, HIGH); 
digitalWrite(4, HIGH);
digitalWrite(10, HIGH);
digitalWrite(11, HIGH);
delay(200);

     
digitalWrite(3, LOW); 
digitalWrite(4, LOW);
digitalWrite(A0, HIGH); 
delay(500);
    
digitalWrite(4, HIGH);
digitalWrite(10, LOW);
digitalWrite(11, HIGH);
delay(500);
         
digitalWrite(4, HIGH);
digitalWrite(10, HIGH);
digitalWrite(11, LOW);
delay(500);

digitalWrite(A0, LOW); 
digitalWrite(6, HIGH); 
digitalWrite(11, HIGH);
    delay(200);
}

    
void loop() {
    
// And here comes all possible settings that can be made on switch and relais...
//---------------------------------------------------------------------------------------- 
//Mode: Standby

 if ((digitalRead(relaymain) == LOW) && digitalRead(relaypower) == LOW) { // run reel bottom on computer control (switch on computer control)
                  
      
 
 
 strip.setPixelColor(random()%stripSize+1,random()%1,random()%1,random()%1);
    strip.show();    
 strip.setPixelColor(random()%stripSize+1,random()%1,random()%1,random()%1);
    strip.show();    
 strip.setPixelColor(random()%stripSize+1,random()%1,random()%1,random()%1);
    strip.show();    
 strip.setPixelColor(random()%stripSize+1,random()%1,random()%1,random()%1);
    strip.show();    
 strip.setPixelColor(random()%stripSize+1,random()%1,random()%1,random()%1);
    strip.show();    
 strip.setPixelColor(random()%stripSize+1,random()%1,random()%1,random()%1);
    strip.show();    
 strip.setPixelColor(random()%stripSize+1,random()%1,random()%1,random()%1);
    strip.show();    

  
      
     s=0;
 
        digitalWrite(3, LOW);   
        digitalWrite(4, HIGH);
        digitalWrite(11, HIGH);
        digitalWrite(A0, LOW);  
        digitalWrite(A1, LOW);  
        digitalWrite(A2, LOW);  
        digitalWrite(A3, LOW);
        digitalWrite(9, LOW); 
        digitalWrite(6, LOW); 
        
   counter=0;                //counter counting 0 - 255
  while(counter<255)
  {
    counter+=1;            
    LED5=counter;          //increase current LED value
    LED5=255-counter;      //decrease previous LED value
    analogWrite(10,LED5);   //write LED values
    analogWrite(10,LED5);
    delay(4);              //1ms delay
  }  
}
 
 
 //---------------------------------------------------------------------------------------- 
//Mode: Standby

 if ((k==2) && digitalRead(relaymain) == HIGH && digitalRead(relaypower) == HIGH) { // run reel bottom on computer control (switch on computer control)
                  
       strip.setPixelColor(random()%stripSize+1,random()%1,random()%1,random()%1);
    strip.show();     
 strip.setPixelColor(random()%stripSize+1,random()%1,random()%1,random()%1);
    strip.show();    
 strip.setPixelColor(random()%stripSize+1,random()%1,random()%1,random()%1);
    strip.show();    
 strip.setPixelColor(random()%stripSize+1,random()%1,random()%1,random()%1);
    strip.show();    
 strip.setPixelColor(random()%stripSize+1,random()%1,random()%1,random()%1);
    strip.show();    
 strip.setPixelColor(random()%stripSize+1,random()%1,random()%1,random()%1);
    strip.show();    
 strip.setPixelColor(random()%stripSize+1,random()%1,random()%1,random()%1);
    strip.show();    
 strip.setPixelColor(random()%stripSize+1,random()%1,random()%1,random()%1);
    strip.show();        
     s=0;
 k=1;
        digitalWrite(3, LOW);   
        digitalWrite(4, HIGH);
        digitalWrite(11, HIGH);
        digitalWrite(A0, LOW);  
        digitalWrite(A1, LOW);  
        digitalWrite(A2, LOW);  
        digitalWrite(A3, LOW);
        digitalWrite(9, LOW); 
        digitalWrite(6, LOW); 
        
   counter=0;                //counter counting 0 - 255
  while(counter<255)
  {
    counter+=1;            
    LED5=counter;          //increase current LED value
    LED5=255-counter;      //decrease previous LED value
    analogWrite(10,LED5);   //write LED values
    analogWrite(10,LED5);
    delay(4);              //1ms delay
  }  
}
 
  
//---------------------------------------------------------------------------------------- 
//Pause

 if ((k==1) && digitalRead(relaypower) == LOW && digitalRead(buttonlock)  == LOW)  { // run reel bottom on computer control (switch on computer control)
        s=0;             
    strip.setPixelColor(random()%stripSize+1,random()%1,random()%2000,random()%1);
    strip.show();  
  strip.setPixelColor(random()%stripSize+1,random()%1,random()%2000,random()%1);
    strip.show();  
  strip.setPixelColor(random()%stripSize+1,random()%1,random()%2000,random()%1);
    strip.show();  
  strip.setPixelColor(random()%stripSize+1,random()%1,random()%2000,random()%1);
    strip.show();  
  strip.setPixelColor(random()%stripSize+1,random()%1,random()%2000,random()%1);
    strip.show();  
  strip.setPixelColor(random()%stripSize+1,random()%1,random()%2000,random()%1);
    strip.show();  
    strip.setPixelColor(random()%stripSize+1,random()%1,random()%2000,random()%1);
    strip.show();      

        digitalWrite(3, LOW);   
        digitalWrite(4, HIGH);
        digitalWrite(10, HIGH);
        digitalWrite(11, HIGH);
        digitalWrite(A0, HIGH);  
        digitalWrite(A1, LOW);  
        digitalWrite(A2, LOW);  
        digitalWrite(A3, LOW);
        digitalWrite(9, LOW); 
        digitalWrite(6, LOW); 
        
        delay(1000);
        digitalWrite(10, LOW);   
        digitalWrite(11, LOW); 
        delay(1000);
   
        
 }
 
//---------------------------------------------------------------------------------------- 
//Mode: Run as emp by remote
 //run
  if ((k==3) && digitalRead(buttonlock) == LOW && digitalRead(buttonemppwr) == LOW && (s==0))  {// run reel bottom on computer control (switch on computer control)

    strip.setPixelColor(random()%stripSize+1,random()%2000,random()%1,random()%1);
    strip.show();
     strip.setPixelColor(random()%stripSize+1,random()%2000,random()%1,random()%1);
    strip.show();
     strip.setPixelColor(random()%stripSize+1,random()%2000,random()%1,random()%1);
    strip.show();
     strip.setPixelColor(random()%stripSize+1,random()%2000,random()%1,random()%1);
    strip.show();
     strip.setPixelColor(random()%stripSize+1,random()%2000,random()%1,random()%1);
    strip.show();
     strip.setPixelColor(random()%stripSize+1,random()%2000,random()%1,random()%1);
    strip.show();
     strip.setPixelColor(random()%stripSize+1,random()%2000,random()%1,random()%1);
    strip.show();
  
        digitalWrite(4, HIGH);
        digitalWrite(10, HIGH);
        digitalWrite(11, HIGH);
        digitalWrite(6, HIGH);
        digitalWrite(A0, LOW);  
        digitalWrite(A1, LOW);  
        digitalWrite(A2, LOW);  
        digitalWrite(A3, LOW);
        digitalWrite(9, LOW); 
        
        delay(1000);
        digitalWrite(4, LOW);   
        digitalWrite(11, LOW); 
     delay(1000);
     
   counter=0;                //counter counting 0 - 255
  while(counter<255)
  {
    counter+=1;            
    LED1=counter;          //increase current LED value
    analogWrite(3,LED1);   //write LED values
    delay(3);              //1ms delay
  }  
  //next step ===============================
  counter=0;                //counter counting 0 - 255
  while(counter<175)
  {
    counter+=1;        
    LED1=255-counter;      //decrease previous LED value
    analogWrite(3,LED1);
    delay(3);              //1ms delay
  } 
  
 
 
}
 
//---------------------------------------------------------------------------------------- 
//Mode: Run as emp
 //run
  if ((digitalRead(relaymain) == HIGH) && digitalRead(relaypower) == HIGH && digitalRead(buttonlock) == LOW && digitalRead(buttonemppwr) == LOW && (s==0))  {// run reel bottom on computer control (switch on computer control)

    strip.setPixelColor(random()%stripSize+1,random()%2000,random()%1,random()%1);
    strip.show();
    strip.setPixelColor(random()%stripSize+1,random()%2000,random()%1,random()%1);
    strip.show();
    strip.setPixelColor(random()%stripSize+1,random()%2000,random()%1,random()%1);
    strip.show();
    strip.setPixelColor(random()%stripSize+1,random()%2000,random()%1,random()%1);
    strip.show();
    strip.setPixelColor(random()%stripSize+1,random()%2000,random()%1,random()%1);
    strip.show();
    strip.setPixelColor(random()%stripSize+1,random()%2000,random()%1,random()%1);
    strip.show();
    strip.setPixelColor(random()%stripSize+1,random()%2000,random()%1,random()%1);
    strip.show();
    
    
  
        digitalWrite(4, HIGH);
        digitalWrite(10, HIGH);
        digitalWrite(11, HIGH);
        digitalWrite(6, HIGH);
        digitalWrite(A0, LOW);  
        digitalWrite(A1, LOW);  
        digitalWrite(A2, LOW);  
        digitalWrite(A3, LOW);
        digitalWrite(9, LOW); 
        
        delay(1000);
        digitalWrite(4, LOW);   
        digitalWrite(11, LOW); 
  //   delay(1000);

  
  
  counter=0;                //counter counting 0 - 255
  while(counter<255)
  {
    counter+=1;            
    LED1=counter;          //increase current LED value
    analogWrite(3,LED1);   //write LED values
    delay(3);              //1ms delay
  }  
  //next step ===============================
  counter=0;                //counter counting 0 - 255
  while(counter<175)
  {
    counter+=1;        
    LED1=255-counter;      //decrease previous LED value
    analogWrite(3,LED1);
    delay(3);              //1ms delay
  } 
  
  
 
}

 //---------------------------------------------------------------------------------------- 
 //run & lock keypad (emp)
  if ((digitalRead(relaymain) == HIGH) && digitalRead(relaypower) == HIGH && digitalRead(buttonlock) == HIGH  && digitalRead(buttonemppwr) == LOW && (s==0))  { // run reel bottom on computer control (switch on computer control)
         
         s=1;
         
    strip.setPixelColor(random()%stripSize+1,random()%2000,random()%1,random()%1);
    strip.show();
      strip.setPixelColor(random()%stripSize+1,random()%2000,random()%1,random()%1);
    strip.show();
      strip.setPixelColor(random()%stripSize+1,random()%2000,random()%1,random()%1);
    strip.show();
      strip.setPixelColor(random()%stripSize+1,random()%2000,random()%1,random()%1);
    strip.show();
      strip.setPixelColor(random()%stripSize+1,random()%2000,random()%1,random()%1);
    strip.show();
      strip.setPixelColor(random()%stripSize+1,random()%2000,random()%1,random()%1);
    strip.show();
      strip.setPixelColor(random()%stripSize+1,random()%2000,random()%1,random()%1);
    strip.show();
      
            
        digitalWrite(4, HIGH);
        digitalWrite(10, HIGH);
        digitalWrite(11, HIGH);
        digitalWrite(6, HIGH);   
        digitalWrite(A0, LOW);  
        digitalWrite(A1, LOW);  
        digitalWrite(A2, LOW);  
        digitalWrite(A3, HIGH);
        digitalWrite(9, HIGH); 
        
        delay(1000);
        digitalWrite(4, LOW);   
        digitalWrite(11, LOW); 
         digitalWrite(9, LOW); 
        delay(1000);
        
  
 counter=0;                //counter counting 0 - 255
  while(counter<255)
  {
    counter+=1;            
    LED1=counter;          //increase current LED value
    analogWrite(3,LED1);   //write LED values
    delay(3);              //1ms delay
  }  
  //next step ===============================
  counter=0;                //counter counting 0 - 255
  while(counter<175)
  {
    counter+=1;        
    LED1=255-counter;      //decrease previous LED value
    analogWrite(3,LED1);
    delay(3);              //1ms delay
  } 
  
 
 
}
 //---------------------------------------------------------------------------------------- 
 //run & lock keypad (emp)
 //this is the same sequence but now locked on with "s==1"
  if ((digitalRead(relaymain) == HIGH) && digitalRead(relaypower) == HIGH && digitalRead(buttonlock) == LOW && digitalRead(buttonemppwr) == LOW && (s==1))  { // run reel bottom on computer control (switch on computer control)
                    
      strip.setPixelColor(random()%stripSize+1,random()%2000,random()%1,random()%1);
    strip.show();
        strip.setPixelColor(random()%stripSize+1,random()%2000,random()%1,random()%1);
    strip.show();
                strip.setPixelColor(random()%stripSize+1,random()%2000,random()%1,random()%1);
    strip.show();
                strip.setPixelColor(random()%stripSize+1,random()%2000,random()%1,random()%1);
    strip.show();
                strip.setPixelColor(random()%stripSize+1,random()%2000,random()%1,random()%1);
    strip.show();
                strip.setPixelColor(random()%stripSize+1,random()%2000,random()%1,random()%1);
    strip.show();
                strip.setPixelColor(random()%stripSize+1,random()%2000,random()%1,random()%1);
    strip.show();
   
            
            
        digitalWrite(4, HIGH);
        digitalWrite(10, HIGH);
        digitalWrite(11, HIGH);
        digitalWrite(6, HIGH);
        digitalWrite(A0, LOW);  
        digitalWrite(A1, LOW);  
        digitalWrite(A2, LOW);  
        digitalWrite(A3, HIGH);
        digitalWrite(9, HIGH); 
       
        delay(1000);
        digitalWrite(4, LOW);   
        digitalWrite(11, LOW); 
        digitalWrite(9, LOW);
        delay(1000);
  
  counter=0;                //counter counting 0 - 255
  while(counter<255)
  {
    counter+=1;            
    LED1=counter;          //increase current LED value
    analogWrite(3,LED1);   //write LED values
    delay(3);              //1ms delay
  }  
  //next step ===============================
  counter=0;                //counter counting 0 - 255
  while(counter<175)
  {
    counter+=1;        
    LED1=255-counter;      //decrease previous LED value
    analogWrite(3,LED1);
    delay(3);              //1ms delay
  } 
  
 
}







//---------------------------------------------------------------------------------------- 




 //---------------------------------------------------------------------------------------- 
//Mode: Run as pwr by I2C
 //run
    if ((k==3) && digitalRead(buttonlock) == LOW && digitalRead(buttonemppwr) == HIGH && (s==0)) {

    strip.setPixelColor(random()%stripSize+1,random()%1,random()%1,random()%2000);
    strip.show();
      strip.setPixelColor(random()%stripSize+1,random()%1,random()%1,random()%2000);
    strip.show();
      strip.setPixelColor(random()%stripSize+1,random()%1,random()%1,random()%2000);
    strip.show();
      strip.setPixelColor(random()%stripSize+1,random()%1,random()%1,random()%2000);
    strip.show();
      strip.setPixelColor(random()%stripSize+1,random()%1,random()%1,random()%2000);
    strip.show();
      strip.setPixelColor(random()%stripSize+1,random()%1,random()%1,random()%2000);
    strip.show();
      strip.setPixelColor(random()%stripSize+1,random()%1,random()%1,random()%2000);
    strip.show();
                 
        digitalWrite(4, HIGH);
        digitalWrite(10, HIGH);
        digitalWrite(11, HIGH);
        digitalWrite(A0, LOW);  
        digitalWrite(A1, LOW);  
        digitalWrite(A2, LOW);  
        digitalWrite(A3, LOW);
        digitalWrite(9, LOW); 
        digitalWrite(6, HIGH); 
        
        delay(1000);
        digitalWrite(4, LOW);   
        digitalWrite(11, LOW); 
   delay(1000);
   
   
   counter=0;                //counter counting 0 - 255
  while(counter<255)
  {
    counter+=1;            
    LED1=counter;          //increase current LED value
    analogWrite(3,LED1);   //write LED values
    delay(3);              //1ms delay
  }  
  //next step ===============================
  counter=0;                //counter counting 0 - 255
  while(counter<175)
  {
    counter+=1;        
    LED1=255-counter;      //decrease previous LED value
    analogWrite(3,LED1);
    delay(3);              //1ms delay
  } 
  
 
  
}

//---------------------------------------------------------------------------------------- 
//Mode: Run as pwr
 //run
    if ((digitalRead(relaymain) == HIGH) && digitalRead(relaypower) == HIGH && digitalRead(buttonlock) == LOW && digitalRead(buttonemppwr) == HIGH && (s==0)) {

    strip.setPixelColor(random()%stripSize+1,random()%1,random()%1,random()%2000);
    strip.show();
    strip.setPixelColor(random()%stripSize+1,random()%1,random()%1,random()%2000);
    strip.show();
    strip.setPixelColor(random()%stripSize+1,random()%1,random()%1,random()%2000);
    strip.show();
    strip.setPixelColor(random()%stripSize+1,random()%1,random()%1,random()%2000);
    strip.show();
    strip.setPixelColor(random()%stripSize+1,random()%1,random()%1,random()%2000);
    strip.show();
    strip.setPixelColor(random()%stripSize+1,random()%1,random()%1,random()%2000);
    strip.show();
    strip.setPixelColor(random()%stripSize+1,random()%1,random()%1,random()%2000);
    strip.show();
                 
        digitalWrite(4, HIGH);
        digitalWrite(10, HIGH);
        digitalWrite(11, HIGH);
        digitalWrite(A0, LOW);  
        digitalWrite(A1, LOW);  
        digitalWrite(A2, LOW);  
        digitalWrite(A3, LOW);
        digitalWrite(9, LOW); 
        digitalWrite(6, HIGH); 
        
        delay(1000);
        digitalWrite(4, LOW);   
        digitalWrite(11, LOW); 
   delay(1000);
   
   
  counter=0;                //counter counting 0 - 255
  while(counter<255)
  {
    counter+=1;            
    LED1=counter;          //increase current LED value
    analogWrite(3,LED1);   //write LED values
    delay(3);              //1ms delay
  }  
  //next step ===============================
  counter=0;                //counter counting 0 - 255
  while(counter<175)
  {
    counter+=1;        
    LED1=255-counter;      //decrease previous LED value
    analogWrite(3,LED1);
    delay(3);              //1ms delay
  } 
  
 
  
  
}
 //---------------------------------------------------------------------------------------- 
 //run pwr & lock keypad
 //run & lock keypad
  if ((digitalRead(relaymain) == HIGH) && digitalRead(relaypower) == HIGH && digitalRead(buttonlock) == HIGH  && digitalRead(buttonemppwr) == HIGH && (s==0))  { 
 
    s=1;
    
    strip.setPixelColor(random()%stripSize+1,random()%1,random()%1,random()%2000);
    strip.show();
    strip.setPixelColor(random()%stripSize+1,random()%1,random()%1,random()%2000);
    strip.show();
    strip.setPixelColor(random()%stripSize+1,random()%1,random()%1,random()%2000);
    strip.show();
    strip.setPixelColor(random()%stripSize+1,random()%1,random()%1,random()%2000);
    strip.show();
    strip.setPixelColor(random()%stripSize+1,random()%1,random()%1,random()%2000);
    strip.show();
    strip.setPixelColor(random()%stripSize+1,random()%1,random()%1,random()%2000);
    strip.show();
    strip.setPixelColor(random()%stripSize+1,random()%1,random()%1,random()%2000);
    strip.show();
           
           
        digitalWrite(4, HIGH);
        digitalWrite(10, HIGH);
        digitalWrite(11, HIGH);
        digitalWrite(A0, LOW);  
        digitalWrite(A1, LOW);  
        digitalWrite(A2, LOW);  
        digitalWrite(A3, HIGH);
        digitalWrite(9, HIGH); 
        digitalWrite(6, HIGH); 
        
        delay(1000);
        digitalWrite(4, LOW);   
        digitalWrite(11, LOW); 
        digitalWrite(9, LOW);
        delay(1000);
   
  counter=0;                //counter counting 0 - 255
  while(counter<255)
  {
    counter+=1;            
    LED1=counter;          //increase current LED value
    analogWrite(3,LED1);   //write LED values
    delay(3);              //1ms delay
  }  
  //next step ===============================
  counter=0;                //counter counting 0 - 255
  while(counter<175)
  {
    counter+=1;        
    LED1=255-counter;      //decrease previous LED value
    analogWrite(3,LED1);
    delay(3);              //1ms delay
  } 
  

} 
 
   //---------------------------------------------------------------------------------------- 
 //run pwr & lock keypad
 //this is the same sequence but now locked on with "s==1"
   if ((digitalRead(relaymain) == HIGH) && digitalRead(relaypower) == HIGH && digitalRead(buttonlock) == LOW && digitalRead(buttonemppwr) == HIGH && (s==1))  { 

    strip.setPixelColor(random()%stripSize+1,random()%1,random()%1,random()%2000);
    strip.show();
       strip.setPixelColor(random()%stripSize+1,random()%1,random()%1,random()%2000);
    strip.show();
       strip.setPixelColor(random()%stripSize+1,random()%1,random()%1,random()%2000);
    strip.show();
       strip.setPixelColor(random()%stripSize+1,random()%1,random()%1,random()%2000);
    strip.show();
       strip.setPixelColor(random()%stripSize+1,random()%1,random()%1,random()%2000);
    strip.show();
       strip.setPixelColor(random()%stripSize+1,random()%1,random()%1,random()%2000);
    strip.show();
       strip.setPixelColor(random()%stripSize+1,random()%1,random()%1,random()%2000);
    strip.show(); 
                
        digitalWrite(4, HIGH);
        digitalWrite(10, HIGH);
        digitalWrite(11, HIGH);
        digitalWrite(A0, LOW);  
        digitalWrite(A1, LOW);  
        digitalWrite(A2, LOW);  
        digitalWrite(A3, HIGH);
        digitalWrite(9, HIGH); 
        digitalWrite(6, HIGH); 
        
        delay(1000);
        digitalWrite(4, LOW);   
        digitalWrite(11, LOW); 
        digitalWrite(9, LOW);
        delay(1000);

 counter=0;                //counter counting 0 - 255
  while(counter<255)
  {
    counter+=1;            
    LED1=counter;          //increase current LED value
    analogWrite(3,LED1);   //write LED values
    delay(3);              //1ms delay
  }  
  //next step ===============================
  counter=0;                //counter counting 0 - 255
  while(counter<175)
  {
    counter+=1;        
    LED1=255-counter;      //decrease previous LED value
    analogWrite(3,LED1);
    delay(3);              //1ms delay
  } 
  

 } 


}

// And here come remote network input and variable settings and light control... 
  
void receiveEvent(int howMany){

  Serial.println("working receive");
  int k = Wire.read();    // receive byte as an integer
  Serial.println(k);         // print the integer

  //-------------------------------------------------------------

  if (k == 1) {
// pause counter (see script above)
  }
    if (k == 2) {
//stop counter (see script above)
  }
     if (k == 3) {
//set or run 1 min counter (see script above)
  }
     if (k == 4) {
  s=1; //writes hold funtion on at all settings...

  }
 
} // end command receiving loop


/* Helper functions */

//Input a value 0 to 384 to get a color value.
//The colours are a transition r - g -b - back to r

uint32_t Wheel(uint16_t WheelPos)
{
  byte r, g, b;
  switch(WheelPos / 128)
  {
    case 0:
      r = 127 - WheelPos % 128;   //Red down
      g = WheelPos % 128;      // Green up
      b = 0;                  //blue off
      break; 
    case 1:
      g = 127 - WheelPos % 128;  //green down
      b = WheelPos % 128;      //blue up
      r = 0;                  //red off
      break; 
    case 2:
      b = 127 - WheelPos % 128;  //blue down 
      r = WheelPos % 128;      //red up
      g = 0;                  //green off
      break; 
  }
  return(strip.Color(r,g,b));
}
